import React from 'react';
import { BrowserRouter as Router, Route } from 'react-router-dom';
import { Provider } from 'react-redux';
import store from './store';
import TaskIndex from './component/task/TaskIndex';

function App() {
	return (
		<Provider store={store}>
			<Router>
				<Route exact path="/" render={ props =>(
					<TaskIndex/>
				) } />
			</Router>
		</Provider>
	);
}

export default App;
